Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.cell.client
Interface ButtonCellBase.DefaultAppearance.Template

All Superinterfaces:
  SafeHtmlTemplates

Enclosing class:
  ButtonCellBase.DefaultAppearance<C>

    static interface ButtonCellBase.DefaultAppearance.Template

extends SafeHtmlTemplates

The templates used by this appearance.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.safehtml.client.SafeHtmlTemplates
`SafeHtmlTemplates.Template`

Method Summary
`SafeHtml` | `iconContentLayout(java.lang.String classes, SafeStyles styles, SafeHtml icon, SafeHtml cellContents)` Positions the icon next to the text.
`SafeHtml` | `iconWrapper(SafeStyles styles, SafeHtml image)` The wrapper around the icon that aligns it vertically with the text.

Method Detail

### iconContentLayout

    @SafeHtmlTemplates.Template(value="{2}{3}")
    SafeHtml iconContentLayout(java.lang.String classes,
                                                               SafeStyles styles,
                                                               SafeHtml icon,
                                                               SafeHtml cellContents)

  Positions the icon next to the text. NOTE: zoom:0 is a workaround for an IE7 bug where the button contents wrap even when they do not need to.

### iconWrapper

    @SafeHtmlTemplates.Template(value="{1}")
    SafeHtml iconWrapper(SafeStyles styles,
                                                         SafeHtml image)

  The wrapper around the icon that aligns it vertically with the text.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD